import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const infoData = {
  dataBase: '测试类型',
  libraryName: 'dw_data',
  tableName: 'dw_prd_contract_f',
  assetType: 'Inceptor',
  tableType: '表',
  storeType: 'ORC',
  isTransaction: '是',
};

export const partitioncheckinfoData = {
  areaType: '-',
  areaField: '-',
  areaScope: '-',
};

export const failtableData = [
  {
    modelName: 'test2',
    modelId: 'test_catalog/argodb/test_catalog1/test1',
    status: '编辑中',
  }
];

export const bucketcheckinfoData = {
  bucketNum: '3',
  bucketField: 'contract_id',
};

export const checkinfoData = [
  {
    name: 'contract_status',
    type: 'STRING/STRING',
    parameters: '-',
    length: '35',
    deptName: '保留小数点后两位',
    isNUll: '是',
  },
  {
    name: 'newcol/-',
    type: 'STRING/-',
    parameters: '-/-',
    length: '-/-',
    deptName: '-/-',
    isNUll: '-/-',
  },
];

export const columns: BasicColumn[] = [
  {
    title: '',
    dataIndex: 'tableName',
    width: 150,
    // onEditRow: true,
  },
];
export const searchFormSchema: FormSchema[] = [
  {
    field: 'nameOrExplain',
    label: '',
    component: 'InputSearch',
    componentProps: {
      placeholder: '输入字段名称或字段注释搜索',
    },
  },
];
export const entityData: any[] = [
  {
    name: 'yLtable_orc01',
    dataBase: 'INCEPTOR',
    modelId: '/sdfasdf/y_test/yl_table_orc01',
    relateTime: '2023/10/20 17:38:29',
    syncTime: '2024-11-01 13:44:16',
    operateName: 'user',
  },
  {
    name: 'pltable_yca12',
    dataBase: 'INCEPTOR',
    modelId: '/sdfasdf/y_test/pltable_yca12',
    relateTime: '2023/12/30 12:21:09',
    syncTime: '2024-02-11 10:14:16',
    operateName: 'user',
  },
];

export const PhysicalData: any[] = [
  {
    name: '逻辑模型1',
    entityName: 'dwEntity',
    modelId: '物理模型/共享工作区/1/test编镜',
    relateDescribe: 'admin',
    relateTime: '2024-10-20 12:14:46',
    operateName: 'admin',
  },
];

export const sqlDevelopData: any[] = [
  {
    businessId: '1',
    name: 'employee',
    modelId: '/共享工作区/employee',
    relateDescribe: '-',
    relateTime: '2023-10-20 17:38:38',
    operateName: 'admin',
  },
];

export const versionTreeData: any[] = [
  {
    version: 'V1.x',
    time: '2023/06/15 15:34:40',
    remark: '',
    created: '',
    key: '0-0',
    children: [
      {
        version: 'V1.1',
        time: '2023/06/15 15:43:08',
        remark: 'v2',
        created: 'admin',
        key: '0-0-0',
      },
      {
        version: 'V1.0',
        time: '2023/06/15 15:34:40',
        remark: '1',
        created: '',
        key: '0-0-1',
      },
    ],
  },
];

export const comparisonInfoData = {
  physicalName: 'dw_prd_contract_f',
  modelId: '/admin-个人工作区/SDM数仓/argodb_test/dw_data/dw_prd_contract_f',
};
