export const uploadData = {
  title: '发布',
  result: '',
  person: 'admin',
  dept: '数据平台治理部',
  time: '2023/06/15 15:24:59',
  version: '大版本号自增',
};
export const modelData = [
  {
    modelName: 'SDM_DW数仓模型',
  },
];
export const modelInfoData = {
  name: 'SDM_DW数仓模型',
  path: 'admin-个人工作区/SDM数仓逻辑模型/SDM_DW数仓模型',
};

export const infoData = {
  dataBase: '测试类型',
  libraryName: 'dw_data',
  tableName: 'dw_prd_contract_f',
  assetType: 'Inceptor',
  tableType: '表',
  tableComment: 'dw_合约',
  storeType: 'ORC',
  isTransaction: '是',
  createTime: '2023/06/15 11:10:26',
  createBy: 'admin',
  publishTime: '-',
  publishBy: '-',
};

export const partitioncheckinfoData = {
  mainDept: '否',
  isEncryption: '否',
};

export const bucketcheckinfoData = {
  businessName: '-',
  chinsesName: '-',
  isSensitive: '否',
};

export const checkFormSchema: any[] = [
  {
    field: 'dataBase',
    label: '数据源',
  },
  {
    field: 'libraryName',
    label: '库名',
  },
  {
    field: 'tableName',
    label: '表名',
  },
  {
    field: 'assetType',
    label: '资产类型',
  },
  {
    field: 'tableType',
    label: '表类型',
  },
  {
    field: 'tableComment',
    label: '表注释',
  },
  {
    field: 'storeType',
    label: '存储类型',
  },
  {
    field: 'isTransaction',
    label: '是否为事务表',
  },
  {
    field: 'createTime',
    label: '创建时间',
  },
  {
    field: 'createBy',
    label: '创建者',
  },
  {
    field: 'publishTime',
    label: '发布时间',
  },
  {
    field: 'publishBy',
    label: '发布者',
  },
];

export const partitioncheckFormSchema: any[] = [
  {
    field: 'mainDept',
    label: '主责部门',
  },
  {
    field: 'isEncryption',
    label: '是否加密',
  },
];

export const bucketcheckFormSchema: any[] = [
  {
    field: 'businessName',
    label: '业务定义',
  },
  {
    field: 'chinsesName',
    label: '表中文名',
  },
  {
    field: 'isSensitive',
    label: '是否为敏感信息',
  },
];

export const areaFormSchema: any[] = [
  {
    field: 'areaType',
    label: '分区类型',
  },
  {
    field: 'areaField',
    label: '分区字段',
  },
];

export const bucketFormSchema: any[] = [
  {
    field: 'bucketNum',
    label: '分桶数',
  },
  {
    field: 'bucketField',
    label: '分桶字段',
  },
  {
    field: 'sortField',
    label: '排序字段',
  },
];


export const areaInfoData = {
  physicalName: 'dw_prd_contract_f',
  modelId: '/admin-个人工作区/SDM数仓/argodb_test/dw_data/dw_prd_contract_f',
};

export const bucketInfoData = {
  physicalName: 'dw_prd_contract_f',
  modelId: '/admin-个人工作区/SDM数仓/argodb_test/dw_data/dw_prd_contract_f',
};
